summaryrefslogtreecommitdiffstats
path: root/system/tzleap
diff options
context:
space:
mode:
author Dave Gauer <dave@ratfactor.com>2023-03-03 04:17:03 +0000
committer bedlam <dave@slackbuilds.org>2023-03-04 05:42:16 +0000
commita557f2e9e6b598d6464330122ddbfc8869642c61 (patch)
tree9bfe3008b5e77e4fb4f261a9497e8b1a33a743c3 /system/tzleap
parent6724fe2443ccf28bb7196a6e06c363e9cf97c599 (diff)
downloadslackbuilds-a557f2e9e6b598d6464330122ddbfc8869642c61.tar.gz
slackbuilds-a557f2e9e6b598d6464330122ddbfc8869642c61.tar.xz
system/tzleap: Added (IANA zoneinfo leap-seconds.list)
Signed-off-by: bedlam <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to '')
-rw-r--r--system/tzleap/README19
-rw-r--r--system/tzleap/slack-desc19
-rw-r--r--system/tzleap/tzleap.SlackBuild69
-rw-r--r--system/tzleap/tzleap.info10
4 files changed, 117 insertions, 0 deletions
diff --git a/system/tzleap/README b/system/tzleap/README
new file mode 100644
index 0000000000..b08c06a323
--- /dev/null
+++ b/system/tzleap/README
@@ -0,0 +1,19 @@
+tzleap - leap-seconds.list from tzdb (zoneinfo)
+
+This package installs the leap-seconds.list file to the standard path
+expected by some software:
+
+ /usr/share/zoneinfo/leap-seconds.list
+
+The IANA keeps the data and code used to create the Time Zone Database,
+("tz", "tzdb", "zoneinfo").
+
+ https://www.iana.org/time-zones
+
+This file comes from the commit for a tagged release from the
+maintainer's repo:
+
+ https://github.com/eggert/tz
+
+Slackware installs the current glibc-zoneinfo-* package, but does not
+include the leap-seconds.list file.
diff --git a/system/tzleap/slack-desc b/system/tzleap/slack-desc
new file mode 100644
index 0000000000..dcfa79b5c4
--- /dev/null
+++ b/system/tzleap/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+tzleap: tzleap (IANA zoneinfo leap-seconds.list)
+tzleap:
+tzleap: Installs the leap-seconds.list file to the standard path
+tzleap:
+tzleap: /usr/share/zoneinfo/leap-seconds.list
+tzleap:
+tzleap: https://www.iana.org/time-zones
+tzleap:
+tzleap:
+tzleap:
+tzleap:
diff --git a/system/tzleap/tzleap.SlackBuild b/system/tzleap/tzleap.SlackBuild
new file mode 100644
index 0000000000..9c0a127cfc
--- /dev/null
+++ b/system/tzleap/tzleap.SlackBuild
@@ -0,0 +1,69 @@
+#!/bin/bash
+
+# Slackware build script for tzleap
+
+# Copyright 2023 Dave Gauer, http://ratfactor.com
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=tzleap
+VERSION=${VERSION:-2022g}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+ARCH=noarch
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+
+# We have just a single file, not a tarball
+# Make directory location in package and copy file
+mkdir -p $PKG/usr/share/zoneinfo/
+cp $CWD/leap-seconds.list $PKG/usr/share/zoneinfo/
+
+chown -R root:root $PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/README > $PKG/usr/doc/$PRGNAM-$VERSION/README
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/system/tzleap/tzleap.info b/system/tzleap/tzleap.info
new file mode 100644
index 0000000000..7df9bb11b0
--- /dev/null
+++ b/system/tzleap/tzleap.info
@@ -0,0 +1,10 @@
+PRGNAM="tzleap"
+VERSION="2022g"
+HOMEPAGE="https://www.iana.org/time-zones"
+DOWNLOAD="https://raw.githubusercontent.com/eggert/tz/4e604e41115182c3ab1185bab4c888822511348e/leap-seconds.list"
+MD5SUM="202cceadb93219f6d02d13c4a7985445"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Dave Gauer"
+EMAIL="dave@ratfactor.com"